"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var React = _interopRequireWildcard(require("react"));

var _webinyForm = require("webiny-form");

var _Grid = require("webiny-ui/Grid");

var _Switch = require("webiny-ui/Switch");

var _Button = require("webiny-ui/Button");

var _reactApollo = require("react-apollo");

var _components = require("webiny-admin/components");

var _Input = require("webiny-ui/Input");

var _graphql = _interopRequireDefault(require("./graphql"));

var _Progress = require("webiny-ui/Progress");

var _lodash = _interopRequireDefault(require("lodash.get"));

var _SimpleForm = require("webiny-admin/components/SimpleForm");

var GoogleTagManagerSettings = function GoogleTagManagerSettings(_ref) {
  var showSnackbar = _ref.showSnackbar;
  return React.createElement(_reactApollo.Query, {
    query: _graphql.default.query
  }, function (_ref2) {
    var data = _ref2.data,
        queryInProgress = _ref2.loading;
    return React.createElement(_reactApollo.Mutation, {
      mutation: _graphql.default.mutation
    }, function (update, _ref3) {
      var mutationInProgress = _ref3.loading;
      var settings = (0, _lodash.default)(data, "settings.googleTagManager.data") || {};
      return React.createElement(_webinyForm.Form, {
        data: settings,
        onSubmit:
        /*#__PURE__*/
        function () {
          var _ref4 = (0, _asyncToGenerator2.default)(
          /*#__PURE__*/
          _regenerator.default.mark(function _callee(data) {
            return _regenerator.default.wrap(function _callee$(_context) {
              while (1) {
                switch (_context.prev = _context.next) {
                  case 0:
                    _context.next = 2;
                    return update({
                      variables: {
                        data: data
                      }
                    });

                  case 2:
                    showSnackbar("Settings updated successfully.");

                  case 3:
                  case "end":
                    return _context.stop();
                }
              }
            }, _callee);
          }));

          return function (_x) {
            return _ref4.apply(this, arguments);
          };
        }()
      }, function (_ref5) {
        var Bind = _ref5.Bind,
            form = _ref5.form,
            data = _ref5.data;
        return React.createElement(_SimpleForm.SimpleForm, null, (queryInProgress || mutationInProgress) && React.createElement(_Progress.CircularProgress, null), React.createElement(_SimpleForm.SimpleFormHeader, {
          title: "Google Tag Manager Settings"
        }, React.createElement(Bind, {
          name: "enabled",
          afterChange: function afterChange(enabled) {
            if (!enabled) {
              form.submit();
            }
          }
        }, React.createElement(_Switch.Switch, {
          label: "Enabled"
        }))), data.enabled ? React.createElement(React.Fragment, null, React.createElement(_SimpleForm.SimpleFormContent, null, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
          span: 12
        }, React.createElement(_Grid.Grid, null, React.createElement(_Grid.Cell, {
          span: 6
        }, React.createElement(Bind, {
          name: "code"
        }, React.createElement(_Input.Input, {
          label: "Container ID",
          description: 'Formatted as "GTM-XXXXXX".'
        }))))))), React.createElement(_SimpleForm.SimpleFormFooter, null, React.createElement(_Button.ButtonPrimary, {
          type: "primary",
          onClick: form.submit,
          align: "right"
        }, "Save"))) : null);
      });
    });
  });
};

var _default = (0, _components.withSnackbar)()(GoogleTagManagerSettings);

exports.default = _default;
//# sourceMappingURL=GoogleTagManagerSettings.js.map